package com.simuwang.base.mapper.system;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.LoggingDO;
import com.simuwang.base.pojo.dos.sys.SysLogDO;
import com.simuwang.base.pojo.dto.query.LogPageQuery;
import com.simuwang.base.pojo.vo.IdListVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysLogMapper extends BaseMapper<SysLogDO> {
    /**
     * 清空日志
     */
    @Delete("truncate table sys_log")
    void truncateAll();

    List<LoggingDO> searchLogList(LogPageQuery logPageQuery);

    long countLogList(LogPageQuery logPageQuery);

    void deleteLog(@Param("idList") List<Integer> idList);
}
